#ifndef CRYSTAL_HPP_
#define CRYSTAL_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>

class Crystal : public SpriteBlock
{
private:
    glm::vec3 light;
    std::string drops;

    static std::vector<Sprite> makeSprites(std::string textureName);

public:
    /**
     * @brief Construct the crystal block.
     */
    Crystal(std::string name, std::string displayName, std::string textureName, glm::vec3 light, std::string drops = "");

    virtual glm::vec3 getLightColor(uint8_t meta) override;
    virtual void getHarvestedStacks(LocalWorld &world, glm::ivec3 pos, std::vector<ItemStack> &stacks) override;
};

#endif